Subject: bug#23246: 25.0.92; Local face-remapping-alist doesn't affect tooltips

From: Artur Malabarba <[email-masked]>
Date: Fri, 08 Apr 2016 17:06:01 -0300

Eli Zaretskii <[email-masked]> writes:

> Why did you expect them to be blue?  Tooltips are special frames that
> don't display any buffer, whereas face-remap-add-relative is
> documented as affecting only the buffer that was current at the time
> it was called.

Sorry, to me it wasn't obvious that tooltips are different frames.

> More generally, face remapping is designed to allow buffer-local
> changes to faces.  If you want to affect the way tooltips are
> displayed, you should instead customize the 'tooltip' face or the
> parameters in 'tooltip-frame-parameters'.

I want to change the way tooltips are displayed in a major-mode I'm
writing. I don't want to change this face globally for the user, only
change it in the buffers where this major-mode is active.

I understand that might not be possible, in which case feel free to
close.

Artur